$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$checksum   = "9910e214837c22c4cc75c3d372b60d97196ef0eaeaa1164118dbd5dab63c72ae"
$checksum64 = "b98007ab2d2f7257a0e71026dfd27e872e4004fcfeea024dafe2d2b4a0e3794d"
$url        = "https://ftp.opera.com/ftp/pub/opera_gx/104.0.4944.80/win/Opera_GX_104.0.4944.80_Setup.exe"
$url64      = "https://ftp.opera.com/ftp/pub/opera_gx/104.0.4944.80/win/Opera_GX_104.0.4944.80_Setup_x64.exe"

$pp = Get-PackageParameters
$parameters += if ($pp.NoDesktopShortcut)     { " /desktopshortcut=0"; Write-Host "Desktop shortcut won't be created" }
$parameters += if ($pp.NoTaskbarShortcut)     { " /pintotaskbar=0"; Write-Host "Opera won't be pinned to taskbar" }

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs     = '/install /silent /launchopera=0 /setdefaultbrowser=0 /allusers=1' + $parameters

  softwareName  = 'operagx*'

  checksum      = $checksum
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
